/// <reference types="node" />
import * as net from 'net';
/**
 * A manager that intercepts BuildKit sessions, when given the corresponding sockets after the initial
 * upgrade, inject given config settings, and exposes methods to intercept build output streams elsewhere
 * to filter that injected config back out of build output.
 *
 * Under the hood, BuildKit uses the /session endpoint to upgrade the Docker CLI client into an HTTP/2 gRPC
 * server, so that the Docker host can query it to load files on demand, rather than taking the whole context
 * blindly every time. This class handles the traffic within that session, and exposes the data required
 * about that interception to handle other related logic
 *
 */
export declare class BuildkitSessionManager {
    connectBuildSession(sessionUuid: string, clientSocket: net.Socket, dockerSocket: net.Socket, clientHead: Buffer, dockerHead: Buffer): void;
}
